Subject: Re: [sfc] I-D Action: draft-ietf-sfc-nsh-07.txt

From: "Paul Quinn (paulq)" <[email-masked]>
Date: Thu, 15 Sep 2016 18:05:09 +0000

Linda,

This example is simply meant to be illustrative.  The exact mechanism for transport load balancing is dependent on the implementer and the transport, the NSH draft is not prescriptive in this area to avoid confusion and per transport discussion.

Thank you,
Paul

> On Aug 31, 2016, at 4:19 AM, [email-masked] wrote:
> 
> Hi editors, 
> 
>  I have a clarification comment about the following text: 
> 
>     Section 7.2 Mapping NSH to Network Transport 
>     ...... 
>     2. Next SF is located at SFFc with multiple network locators for load distribution purposes: 
>         SFFb mapping: SPI=10 --> VXLAN-gpe, dst_ip:203.0.113.1,203.0.113.2,203.0.113.3, equal cost 
> 
> Could you add some text or add a figure to illustrate this example clearly ? It seem kind of confusing how a SFFc has multiple network locators for LB. 
> 
> Thanks, 
> 
> BRs, 
> Linda Wang 
>   
> "sfc" <[email-masked]> 写于 2016/08/23 23:47:32:
> 
> > [email-masked] 
> > 发件人:  "sfc" <[email-masked]>
> > 
> > 2016/08/23 23:47 
> > 
> > 收件人 
> > 
> > <[email-masked]>, 
> > 
> > 抄送 
> > 
> > [email-masked] 
> > 
> > 主题 
> > 
> > [sfc] I-D Action: draft-ietf-sfc-nsh-07.txt 
> > 
> > 
> > A New Internet-Draft is available from the on-line Internet-Drafts 
> > directories.
> > This draft is a work item of the Service Function Chaining of the IETF.
> > 
> >         Title           : Network Service Header
> >         Authors         : Paul Quinn
> >                           Uri Elzur
> >    Filename        : draft-ietf-sfc-nsh-07.txt
> >    Pages           : 37
> >    Date            : 2016-08-23
> > 
> > Abstract:
> >    This document describes a Network Service Header (NSH) inserted onto
> >    packets or frames to realize service function paths.  NSH also
> >    provides a mechanism for metadata exchange along the instantiated
> >    service path.  NSH is the SFC encapsulation required to support the
> >    Service Function Chaining (SFC) Architecture (defined in RFC7665).
> > 
> > 
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh/
> > 
> > There's also a htmlized version available at:
> > https://tools.ietf.org/html/draft-ietf-sfc-nsh-07
> > 
> > A diff from the previous version is available at:
> > https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-07
> > 
> > 
> > Please note that it may take a couple of minutes from the time of submission
> > until the htmlized version and diff are available at tools.ietf.org.
> > 
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> > 
> > _______________________________________________
> > sfc mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/sfc

---

From: Loa Andersson <[email-masked]>
Date: Fri, 16 Sep 2016 11:57:05 +0200

Paul,

I think this document is coming along quite nicely, one question though.

The document say:

3.5.1.  Optional Variable Length Metadata

    The format of the optional variable length context headers, is as
    described below.

         0                   1                   2                   3
         0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |          Metadata Class       |C|    Type     |R|       Len   |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |                      Variable Metadata                        |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Do I understand you correctly if I say that the "Variable Length TLV", 
starts from bit 16 in the "Optional Variable Length Metadata" and the
reason that you want to define that TLV is that anyone that specifies
"Variable Length Metadata Class" needds to define at least one "Variable
Length TLV"?

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64